libosso (2.16-1) unstable; urgency=low

  * Added fix for missing startup notification (NB#55837).
  * Removed the mutex code -- too risky for Diablo.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue,  8 Jan 2008 16:21:44 +0200

libosso (2.15-1) unstable; urgency=low

  * Removed reference to gtk_infoprint. Fixes: MB#1779 
  * Added mention about using non-com.nokia application names to
    osso_initialize documentation .
  * Added glib and dbus to libosso.pc.in as required packages. Fixes: NB#75364

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 08 Jan 2008 15:37:08 +0200

libosso (2.14-1) unstable; urgency=low

  * Added some thread safety by adding a mutex for osso_context_t.
  * Removed -Werror from compilation options.
  * Added MCE_CFLAGS and MCE_LIBS to Makefile.am.
  * Fixed some compilation warnings pointed out by Richard Hult.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 17 Jul 2007 11:05:37 +0300

libosso (2.13-1) unstable; urgency=low

  * Fix some warnings in osso-state.c when using -pedantic
  * Patch from Leonid to improve saw_malloc_hook() in osso-mem.c.
    Fixes: NB#62391

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 03 Jul 2007 15:00:40 +0300

libosso (2.12-1) unstable; urgency=low

  * Partially applied a patch from Debian guys. Fixes: MB#1517
    - Removed debian/libosso-dbus-conf.conffiles.
    - Fixes to debian/rules.
    - Fixes to debian/control
    - Added reference to LGPL license to debian/copyright
    - Fixes to Makefile.am
    - Fixes for AMD64 to osso-mem.c
    - Minor fix to osso-rpc.c

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 07 Jun 2007 10:47:42 +0300

libosso (2.11-1) unstable; urgency=low

  * Fixed problem in plugin dlopen code. Fixes: NB#59489

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 06 Jun 2007 10:06:44 +0300

libosso (2.10-1) unstable; urgency=low

  * Removed deprecated launch banner code.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 04 Jun 2007 10:53:52 +0300

libosso (2.9-1) unstable; urgency=low

  * Added dbus_bus_release_name call to osso_deinitialize. Fixes: NB#58518

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 25 May 2007 17:09:58 +0300

libosso (2.8-1) unstable; urgency=low

  * Moved to the new org.freedesktop.Notifications API. Affects
    osso_system_note_dialog and osso_system_note_infoprint.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 15 May 2007 13:39:03 +0300

libosso (2.7-1) unstable; urgency=low

  * Undid the change for NB#54026: seems to break stuff (at least
    hildon-desktop's Home key handling).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 04 May 2007 10:56:40 +0300

libosso (2.6-1) unstable; urgency=low

  * Fixed typos and referring to DBUS_TYPE_NIL in libosso.h documentation.
  * Now sending an empty reply message after a MIME handler was called.
  * Now returning DBUS_HANDLER_RESULT_HANDLED for handled method calls,
    avoiding an error message generated by the D-Bus library. Fixes: NB#54026
  * Removed warning to stderr when registering method handler for the
    same interface etc.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 13 Apr 2007 18:07:32 +0300

libosso (2.5-1) unstable; urgency=low

  * Resident Plugin I patch from Johan Bilien (MB#1184).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 30 Mar 2007 16:57:34 +0300

libosso (2.4-1) unstable; urgency=low

  * Bring back osso_application_set_exit_cb(), osso_state_open_write(),
    osso_state_open_read(), osso_state_close() to stay binary compatible.
  * Added check for mce-dev to configure.ac.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 28 Mar 2007 10:56:11 +0300

libosso (2.3-1) unstable; urgency=low

  * New API (osso_hw_set_display_event_cb) for catching the MCE display
    signal.
  * Now using and depending on mce-dev.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 21 Mar 2007 14:05:10 +0200

libosso (2.2-1) unstable; urgency=low

  * New API from Gabriel for detecting language change.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 02 Mar 2007 18:13:07 +0200

libosso (2.1-1) unstable; urgency=low

  * Removed deprecated API: osso_application_exit_cb type,
    osso_application_set_exit_cb(), osso_state_open_write(),
    osso_state_open_read(), osso_state_close().

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 01 Mar 2007 14:55:01 +0200

libosso (2.0-1) unstable; urgency=low

  * Branched the code (1.x branch is the maintenance branch).
  * Compilation fixes for the case that LIBOSSO_DEBUG is defined.
  * Const keyword fixes from Murray Cumming <murrayc@murrayc.com>.
    Fixes: MB#795
  * Enabled the muali filter and fixed a crash in it.
  * Did fixes to configure.ac and Makefile.ams.
  * The unit tests are not built if outo is not present -> outo is now
    optional. Fixes: MB#824
  * Added super-cool syslog-logging and stderr-logging configure options.
  * Added libosso1-doc documentation package (and dependency to doxygen).
  * Split muali_set_event_handler to two functions to make API more easy
    to use.
  * Made lot of muali development, design fixes, and tested code.
  * Implemented muali_reply_string (not sure if *_string functions make
    sense...) and muali_reply_error.
  * The old API does not use muali filter anymore.
  * Removed unused API (as part of Hildon API cleanup): osso_tasknav_* and
    osso_application_initialize.
  * (Contains some untested and experimental muali code.)

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 22 Jan 2007 18:11:52 +0200

libosso (1.20-1) unstable; urgency=low

  * Compilation fixes from Murray Cumming <murrayc@murrayc.com>.
    Fixes: MB#795
  * Added content to the README file because of a sudden popular demand.
  * Added more untested muali code (it's not in use yet).
  * Copyright header fixes in unit testing code. Fixes: NB#42519

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 06 Oct 2006 17:48:21 +0300

libosso (1.19-1) unstable; urgency=low

  * Added calling ldconfig to postinst.
  * More fixes to copyright headers. Fixes: NB#40918
  * Added more deprecation warnings to osso_application_set_exit_cb().
  * Fixed the state reading function once again. Fixes: NB#41325
  * Now checking whether the MIME handler really existed when unsetting
    it. Fixes: NB#41082
  * Fixed the debug package to be new-style. Fixes: NB#41394
  * Fixed possible memory leak in osso-state.c when reading the state fails.
  * Fixes to debian/copyright and debian/control.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 28 Sep 2006 12:33:29 +0300

libosso (1.18-1) unstable; urgency=low

  * Added postinst script for calling ldconfig.
  * Fixed problems in supporting non-com.nokia-prefixed services.
    Fixes: NB#31831, NB#32067
  * Added more warning flags to compilation and fixed warnings.
  * Added optimisation to service registration so that registering the
    default service name is not tried more than once.
  * Message handling was rewritten: unregistering message and signal
    handlers should now be more predictable.
  * Removed redundant dbus_connection_register_object_path() calls made
    in osso-init.c and osso-rpc.c (there is a filter so those are redundant).
  * Fixed a brain-damage in appname_to_valid_path_component().

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 15 Sep 2006 18:14:51 +0300

libosso (1.17-1) unstable; urgency=low

  * Added detailed instructions for implementing state saving and autosaving
    to libosso.h (finally).
  * Fixed sometimes occurring infinite loop in _read_state() and added
    some missing EINTR handling. Fixes: NB#38937

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 04 Sep 2006 19:30:51 +0300

libosso (1.16-1) unstable; urgency=low

  * Modified Control Panel plugin startup so that single instance can be
    achieved. The patch came from Johan Bilien. Fixes: NB#25238
  * Fixed several possible memory leaks in osso-rpc.c. Fixes: NB#34403
  * Fixed the osso_time_set() to actually send a signal about time change.
    Fixes: NB#35824
  * Fixed compilation problem with GCC4.1. Fixes: NB#33996
  * Fixed parameter check in osso_display_blanking_pause(). Fixes: NB#36576
  * Fixed parameter check in osso_display_state_on(). Fixes: NB#36578
  * Fixed OSSO_CFLAGS so that it preserves debug symbols as it should
    (dh_strip will strip them for right packages anyway).
  * Added two small test executables to the ut directory.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 10 Aug 2006 17:53:57 +0300

libosso (1.15-1) unstable; urgency=low

  * Removed dbus_connection_unref()s, because they make DBus asserts fail
    Fixes: NB#32642.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 14 Jun 2006 14:39:33 +0300

libosso (1.14-1) unstable; urgency=low

  * Fixed osso_mem_saw to use the high watermark instead of the deny watermark
    (N#32122).
  * New function osso_mem_in_lowmem_state().

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 08 Jun 2006 15:27:32 +0300

libosso (1.13-1) unstable; urgency=low

  * Removed the 'or later' part from licenses.
  * Now calling the low-memory callback also when it is registered (N#32044).
  * Put more warnings about brokenness of osso_time_set().

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 07 Jun 2006 20:10:26 +0300

libosso (1.12-1) unstable; urgency=low

  * Fixed memory leak in osso->cp_plugins (N#26473).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 26 May 2006 16:33:17 +0300

libosso (1.11-1) unstable; urgency=low

  * Removed the fixed number of mime arguments limitation (N#25395).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 10 May 2006 10:29:20 +0300

libosso (1.10-1) unstable; urgency=low

  * Applied patch from Jari Tenhunen for allowing services not beginning
    with 'com.nokia' (N#28782).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 05 May 2006 16:35:09 +0300

libosso (1.9-1) unstable; urgency=low

  * osso_run_async_with_argfill is now visible (N#27828).
  * Lintian fixes.
  * osso-mem cleanup patch from Leonid (N#27012).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 26 Apr 2006 13:42:57 +0300

libosso (1.8-1) unstable; urgency=low

  * Packaging fixes.
  * Removed compilation of logging code.
  * Additional API from Marius for Python bindings (N#26964).
  * Added support for building with thumb instructions.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 24 Apr 2006 10:12:44 +0300

libosso (1.7-1) unstable; urgency=low

  * Fixed problem with osso_mem_* in Scratchbox (N#20647).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 13 Mar 2006 18:09:53 +0200

libosso (1.6-1) unstable; urgency=low

  * Fixed DBus porting bug in osso_time_set (N#23725).
  * Added checking of _write_state return value (N#23248).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 07 Mar 2006 13:07:32 +0200

libosso (1.5-1) unstable; urgency=low

  * Added osso_rpc_run_system().
  * Removed environment variable passing code from the top message.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 06 Mar 2006 12:55:41 +0200

libosso (1.4-1) unstable; urgency=low

  * Removed hidden attribute for appname_to_valid_path_component(),
    because GCC 3.4 did not like it.
  * Fixed illegal frees in osso-mime.c (N#23108).
  * Mime struct in osso context is now allocated with the context.
  * Autosave struct in osso context is now allocated with the context.
  * osso_application_set_exit_cb moved to deprecated API in libosso.h.
  * Application name and version are now stored to fixed-sized buffer.
  * object_path in osso context is now stored to fixed-sized buffer.
  * Removed unit tests for the exit callback.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 24 Feb 2006 19:23:14 +0200

libosso (1.3-1) unstable; urgency=low

  * Fixed calling of dbus_bus_request_name DBus function (N#22620).
  * Fixed calling of dbus_connection_register_object_path -- error needed
    ignoring (N#22620).
  * Logging redirected to stderr, since there's no syslogd now.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 06 Feb 2006 14:25:35 +0200

libosso (1.2-1) unstable; urgency=low

  * Re-run autogen.sh to get LIBOSSO_DEBUG undefined.
  * Applied patch to osso-mem.c to fix swap issue (N#22468).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 30 Jan 2006 17:34:36 +0200

libosso (1.1-1) unstable; urgency=low

  * '.' is now accepted in application names (N#22416).
  * Replaced some 'free' with 'g_free'.
  * Added some internal validation functions.
  * More minimalist version numbering.
  * Removed irritating massive debug output.
  * Found and plugged some memory leaks from osso-rpc.c and osso-cp-plugin.
  * Added some error logging and coding style improvements in osso-rpc.c.
  * Using now RTLD_LAZY in osso-cp-plugin dlopen().
  * Removed some dbus_connection_flushes from osso-rpc.c.
  * Fixed memory leak in osso-init.c (N#18850).
  * Fixed memory leak when setting callback for time notification (N#21059).
  * Removed the effect of osso_initialize's 'activation' argument -- now
    Libosso always connects to both session and system bus.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 25 Jan 2006 19:44:00 +0200

libosso (1.0.2-2) unstable; urgency=low

  * Improved documentation for osso_initialize to include facts about
    the D-BUS service name and its relation to the desktop file.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 18 Jan 2006 13:26:54 +0200

libosso (1.0.2-1) unstable; urgency=low

  * Ported for v0.60 dbus.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 21 Dec 2005 14:13:56 +0200

libosso (1.0.1-1) unstable; urgency=low

  * Fixed bug about passing empty strings with osso_rpc.
  * Fixed some osso_rpc_* unit tests.
  * Fixed porting bugs in osso-rpc.c.
  * Now calling the callback also on error when using async RPC.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 05 Dec 2005 18:09:42 +0200

libosso (1.0.0-1) unstable; urgency=low

  * Ported to new v0.50 dbus.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 04 Nov 2005 16:11:14 +0200

libosso (0.10.0-1) unstable; urgency=low

  * Packaged 0.10.0.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 18 Oct 2005 21:17:35 +0300

libosso (0.9.18-1) unstable; urgency=low

  * New functionality for common tasks related to memory; see osso-mem.h,
    osso-mem.c.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri,  7 Oct 2005 18:41:58 +0300

libosso (0.9.17-1) unstable; urgency=low

  * src/osso-application-top.c (utf8_safe): New.
  (_append_environment): Use it to skip over environment variables
  that can not be transmitted as a DBUS_TYPE_STRING.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 29 Sep 2005 20:42:22 +0300

libosso (0.9.16-1) unstable; urgency=low

  * Fixed a memory leak in _get_arg (bug 19148).
  * Added autogen.sh file.
  * Removed Doxygen documentation building because of SDK problems.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 13 Sep 2005 14:54:43 +0300

libosso (0.9.15-1) unstable; urgency=low

  * Fixed a memory leak in osso_rpc_run_* (bug 18083).
  * Marked several private functions as static and set the hidden attribute
    to some functions.
  * Improved error logging in osso_initialize().
  * Now handling EINTR correctly in osso_state_close().
  * Removed rather brain-damaged cleanup of state saving directory from
    osso_initialize(). Its success is not guaranteed and its usefulness is
    basically zero, so it would just add to undeterministic behaviour.
  * Fixed some minor brain-damages in coding style.
  * Added warnings about the activation parameter of osso_initialize().
  * Removed calls to dbus_connection_disconnect() (bug 18028).
  * Using LIBOSSO_DEBUG macro instead of DEBUG macro for internal sanity
    checks etc.
  * Fixed D-BUS message leak from osso_display_* that would have happened
    in error situation.
  * Fixed possible uninitialized memory problem in _osso_hw_state_get().
  * Fixed brain-damage in osso_hw_set_event_cb() that would have caused
    memory leaks with each subsequent call after the first one.
  * Fixed reading the current device state from file - it was completely
    broken (used wrong member of the Libosso context struct).
  * Re-run automake-1.7.
  * Added some files required by automake-1.7.
  * Rewrote most of the code in osso-hw.c.
  * Connected the low memory signal handler to correct D-BUS signal (bug
    18069).
  * Implemented caching for the device mode, since MCE won't provide a file
    with the value. Each user has own cache file due to permission issues.
  * Now calling osso_application_autosave_force automatically when the
    save_unsaved_data signal comes (bug 10960).
  * Replaced most mallocs with callocs.
  * Removed some unnecessary dynamic memory allocations.
  * Fixed two small memory leaks in osso-application-top.c with a new internal
    function.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 31 Aug 2005 11:36:14 +0300

libosso (0.9.14-1) unstable; urgency=low

  * Fixed a memory leak in initialisation (bug 16209).
  * Now freeing autosave callback in osso_deinitialize.
  * Now freeing interface member of ifs elements in osso_deinitialize.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 25 Aug 2005 09:36:44 +0300

libosso (0.9.13-1) unstable; urgency=low

  * Added support for environment variable LIBOSSO_CP_PLUGIN_DIRS to
    osso_cp_plugin_execute (bug 17720).
  * Now osso_state_read accepts zero as the state_size and NULL for
    state_data (bug 17743).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 23 Aug 2005 17:46:22 +0300

libosso (0.9.12-1) unstable; urgency=low

  * Added osso_application_name_get and osso_application_version_get
    (bug 15018).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 15 Aug 2005 18:13:57 +0300

libosso (0.9.11-1) unstable; urgency=low

  * Added workaround for signal eating problem (bug 16802).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 09 Aug 2005 14:36:13 +0300

libosso (0.9.10-3) unstable; urgency=low

  * Some cleanups before publishing.
  * Checked through all the function comments in libosso.h and rephrased
    some of them for clarity. Also, corrected typos and modified some
    example code.
  * Added COPYING file.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 05 Aug 2005 15:32:56 +0300
